<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
<title th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).PROPERTY_PROJECT_NAME}}"></title>
</head>
<body>
  <div th:fragment="workitem">
      <input th:field="${workitem.id}" type="hidden" />
      <div class="ui grid">
        <div class="row">
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).COMMON_NUMBER}}"></h4>
            <label th:text="${workitem.number}"></label>
          </div>
          <div class="nine wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_WORKITEM_NAME}}"></h4>
            <div class="ui dropdown write small icon">
              <label th:text="${workitem.name}" th:fragment="workItemName" id="workItemNameWK"></label>
              <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_UPDATE)" th:if="${@WorkItemsHelper.editable(workitem.id, 'name')}">
                <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_EDIT}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" onclick="editCampo('name', 'Name');"></i>
              </th:block>
            </div>
          </div>
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_PRIORITY}}"></h4>
            <div class="ui labeled input">
              <div class="ui pointing white basic left floated column dropdown write small icon">
                <label th:if="${workitem.priority} != null" th:text="${workitem.priority.number + ' - ' + workitem.priority.name}"></label>
                <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_UPDATE)" th:if="${@WorkItemsHelper.editable(workitem.id, 'priority', priorities)}" >
                  <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_EDIT}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
                  <div class="menu">
                    <div class="item" th:each="item : ${priorities}" th:onclick="'updatePriority('+ ${workitem.id} +',' + ${item.id} + ')' ">
                      <input th:field="${workitem.priority.id}" type="hidden" />
                      <th:block th:text="${item.number + ' - ' + item.name}" th:value="${item.id}"></th:block>
                    </div>
                  </div>
                </th:block>
              </div>
            </div>
          </div>
          <div class="three wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_STATUS}}"></h4>
            <div class="ui labeled input">
              <div class="ui pointing white basic left floated column dropdown write small icon">
                <label th:if="${workitem.status} != null" th:text="${workitem.status.name}"></label>
                <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_UPDATE)" th:if="${@WorkItemsHelper.editable(workitem.id, 'status', status)}">
                  <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_EDIT}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
                  <div class="menu">
                    <div class="item" th:each="item : ${status}" th:onclick="'updateState('+ ${workitem.id} +',' + ${item.id} + ')' ">
                      <input th:field="${workitem.status.id}" type="hidden" />
                      <th:block th:text="${item.name}" th:value="${item.id}"></th:block>
                    </div>
                  </div>
                </th:block>
              </div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="six wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CONTRACT}}"></h4>
            <div class="ui labeled input">
              <div class="ui pointing white basic left floated column dropdown write small icon">
                <label th:if="${workitem.contract} != null" th:text="${workitem.contract.name}"></label>
                &nbsp;
                <th:block th:if="${@WorkItemsHelper.editable(workitem.id, 'contract', contracts)}" th:insert="common/fragments/elements :: selectablelistwithsearch(${contracts}, 'item.name', 'item.subArea.abbreviation', ${'updateContract(' + workitem.id + ', '}, 'item.id', ${');'}, 'small write icon', ${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR})" />
              </div>
            </div>
          </div>
          <div class="six wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_APPLICATION}}"></h4>
            <div class="ui labeled input">
              <a th:if="${workitem.application}" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_APPLICATIONS_UPDATE} + '/' + ${workitem.application.id}}" data-variation="mini inverted" class="ui mini" th:attr="data-content=${workitem.application.description}">
                <th:block th:text="${workitem.application.fqdn}"></th:block>
              </a>
              &nbsp;
              <th:block th:if="${@WorkItemsHelper.editable(workitem.id, 'application', apps)}" th:insert="common/fragments/elements :: selectablelistwithsearch(${apps}, 'item.name', 'item.taxonomy', ${'updateApplication(' + workitem.id + ', '}, 'item.id', ${');'}, 'small write icon', ${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR})" />
            </div>
          </div>
          <div class="one wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_RELEASE}}"></h4>
            <div class="ui labeled input">
              <div class="ui pointing white basic left floated column dropdown write small icon">
                <label th:if="${workitem.release}" th:text="${workitem.release}"></label>
                <th:block th:if="${@WorkItemsHelper.editable(workitem.id, 'release', releases)}">
                  <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_EDIT}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}"></i>
                  <div class="menu">
                    <div class="item" th:each="release : ${releases}" th:onclick="'updateRelease('+ ${workitem.id} +',' + ${release.id} + ')' ">
                      <th:block th:text="${release}"></th:block>
                    </div>
                  </div>
                </th:block>
              </div>
            </div>
          </div>
          <div class="three wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_TEAM}}"></h4>
            <div class="ui labeled input">
              <label th:text="${workitem.team.name}"></label>
              &nbsp;
              <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_CHANGE_TEAMS)" th:insert="common/fragments/elements :: selectablelistwithsearch(${teams}, 'item.name', 'item.subArea.abbreviation', ${'updateTeam(' + workitem.id + ', '}, 'item.id', ${');'}, 'small write icon', ${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR})" />
            </div>
          </div>
        </div>
        <div class="row">
          <div class="ten wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_USERSTORY}}"></h4>
            <div class="ui labeled input">
              <a th:if="${workitem.userStory} != null" th:href="@{${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_USERSTORIES_UPDATE} + '/' + ${workitem.userStory.id}}" th:text="${workitem.userStory.number + ' - ' + workitem.userStory.name}" data-variation="mini inverted" class="ui mini" th:attr="data-content=${workitem.userStory.name}"></a>
              &nbsp;
              <th:block th:if="${@WorkItemsHelper.editable(workitem.id, 'userstory', userstories)}" th:insert="common/fragments/elements :: selectablelistwithsearch(${userstories}, 'item.name', 'item.number', ${'updateStory(' + workitem.id + ', '}, 'item.id', ${');'}, 'small write icon', ${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR})" />
            </div>
          </div>
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ESTIMATE}}"></h4>
            <div class="ui fitted example">
              <label th:text="${workitem.estimate}"></label>
              <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_EDIT}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" th:if="${workitem.estimate == 0 and workitem.assignedTo != null and workitem.assignedTo.id == #authentication.principal.resource.id}"></i>
            </div>
            <div class="ui flowing popup top left hidden edit" th:if="${@WorkItemsHelper.editable(workitem.id, 'estimate')}">
              <div class="ui center aligned grid">
                <div class="two column">
                  <h4 class="ui header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ESTIMATE_NEW}}"></h4>
                  <div class="ui input">
                    <input type="number" id="estimate" th:value="${workitem.estimate}" min="0" max="999">
                  </div>
                  <div class="ui primary icon button">
                    <i class="save icon" th:onclick="'updateEstimate('+ ${workitem.id} + ')' "></i>
                  </div>
                </div>
              </div>
            </div>
          </div>
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_HOURS}}"></h4>
            <label th:text="${workitem.hours}"></label>
          </div>
          <div class="two wide column">
            <h4 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ETC}}"></h4>
            <label th:text="${workitem.etc}"></label>
          </div>
        </div>
        <div class="row">
          <div class="four wide column">
            <h5 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CREATEDBY}}"></h5>
            <th:block th:if="${workitem.createdBy != null}" th:replace="common/fragments/elements :: avatar(${workitem.createdBy}, ${workitem.created}, 'mini')" />
          </div>
          <div class="four wide column">
            <h5 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_ASSIGNEDTO}}"></h5>
            <div class="ui inline dropdown">
              <div class="text" th:if="${workitem.assignedTo != null}">
                  <th:block th:replace="common/fragments/elements :: avatar(${workitem.assignedTo}, ${workitem.assigned}, 'mini')" />
              </div>
              <th:block th:if="${@WorkItemsHelper.editable(workitem.id, 'assignedto', resources)}" th:insert="common/fragments/elements :: selectableresourceslistwithsearch(${resources}, 'item.name', 'item.profile.name', true, ${'updateAssignedTo(' + workitem.id + ', '}, 'item.id', ${');'}, 'small write icon', ${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR})" />
            </div>
          </div>
          <div class="four wide column">
            <h5 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_LASTUPDATEDBY}}"></h5>
            <th:block th:if="${workitem.lastUpdateBy != null}">
              <th:block th:replace="common/fragments/elements :: avatar(${workitem.lastUpdateBy}, ${workitem.lastUpdate}, 'mini')" />
            </th:block>
          </div>
          <div class="four wide column">
            <h5 class="ui dividing header" th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_CLOSEDBY}}"></h5>
            <th:block th:if="${workitem.closedBy != null}">
              <th:block th:replace="common/fragments/elements :: avatar(${workitem.closedBy}, ${workitem.closed}, 'mini')" />
            </th:block>	
            <th:block th:if="${workitem.closedBy == null}" th:utext="${'-'}" />
          </div>
        </div>
        <div class="row">
          <div class="sixteen wide column">
            <div class="ui dividing header">
              <h4 th:text="#{${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_DESCRIPTION}}" style="display: inline;"></h4>
              <div class="ui dropdown write small icon" style="display: inline; font-size: 0.8em;">
                <th:block sec:authorize="hasAuthority(T(pt.com.scrumify.helpers.ConstantsHelper).ROLE_WORKITEMS_UPDATE)"  th:if="${@WorkItemsHelper.editable(workitem.id, 'description')}">
                  <i th:class="${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_EDIT}" th:classappend="${T(pt.com.scrumify.helpers.ConstantsHelper).DEFAULT_ENVIRONMENT_COLOR}" onclick="editCampo('description', 'Description');"></i>
                </th:block>
              </div>
            </div>
            <label th:utext="${workitem.description}" th:fragment="description" id="descriptionWK"></label>
          </div>
        </div>
      </div>
      <th:block th:replace="common/fragments/form :: actionbutton(icon1 = ${T(pt.com.scrumify.helpers.ConstantsHelper).ICON_BACK},
                                                                  icon1text = ${T(pt.com.scrumify.helpers.ConstantsHelper).MESSAGE_COMMON_BACK},
                                                                  icon1url = ${T(pt.com.scrumify.helpers.ConstantsHelper).MAPPING_WORKITEMS},
                                                                  )" />

  </div>
</body>
</html>
